메인 콘텐츠로 건너뛰기
PUT
/
api
/
v1
/
webhooks
/
{id}
Update Webhook
curl --request PUT \
  --url https://api.agentwallex.com/api/v1/webhooks/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "events": [
    "payment.completed",
    "payment.failed",
    "policy.violated",
    "agent.frozen"
  ]
}
'
{
  "id": "<string>",
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "status": "active",
  "created_at": "2023-11-07T05:31:56Z"
}

경로 매개변수

id
string
필수
업데이트할 Webhook ID (예: whk_abc123).

요청 본문

url
string
업데이트된 Webhook 엔드포인트 HTTPS URL.
events
string[]
업데이트된 구독 이벤트 유형 목록.
secret
string
업데이트된 서명 시크릿. whsec_로 시작해야 합니다.

예시

curl -X PUT https://api.agentwallex.com/api/v1/webhooks/whk_abc123 \
  -H "X-API-Key: awx_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "events": ["payment.completed", "payment.failed", "policy.violated", "agent.frozen"]
  }'

인증

X-API-Key
string
header
필수

API key authentication. Keys are prefixed with awx_.

경로 매개변수

id
string
필수

The webhook ID to update (e.g., whk_abc123).

본문

application/json
url
string<uri>

Updated HTTPS URL for the webhook endpoint.

events
string[]

Updated list of event types to subscribe to.

secret
string

Updated signing secret. Must start with whsec_.

응답

Webhook updated successfully.

A registered webhook endpoint for receiving real-time event notifications.

id
string

Unique webhook identifier (e.g., whk_abc123).

url
string<uri>

HTTPS URL that receives webhook events.

events
string[]

List of subscribed event types.

status
enum<string>

Webhook status.

사용 가능한 옵션:
active,
inactive
created_at
string<date-time>

ISO 8601 creation timestamp.